<?php
session_start();
if(strpos(strtolower($_SERVER['REQUEST_URI']), 'phpsessid') !== false)
{
  session_destroy();
  session_regenerate_id();
  session_start();
                              
}
include "../phpconfig/config.php";
include "../phpconfig/valida_login.php";
include "../phpconfig/slugfy.php";


mysql_query("DELETE FROM empresas2");
mysql_query("DELETE FROM l_bairros2");

$sql_las_c = mysql_query("SELECT * FROM empresas ORDER BY id DESC LIMIT 1");

$lasc = mysql_fetch_assoc($sql_las_c);

$lastc = $lasc['id'];

$leo = 'Telefone';

mysql_query("INSERT INTO cadastros SET last_empresa='$lastc', data_cad=NOW()");


$texto = array();

$cidade = '';
$uf     = '';

$handle = fopen("ha.txt", "r");
if ($handle) {
    while (($line = fgets($handle)) !== false) {
      $line = trim($line);

        if($line!='') { 

          if(strpos($line,']]')){

          $cuf = explode('||', $line);
          $cidade = str_replace('[[', '', $cuf[0]);
          $uf = str_replace(']]', '', $cuf[1]);
          $autotag = str_replace(']]', '', $cuf[2]);


       
         } else{
        
            $texto[] = ($line).'<br>';

         }


        }
    }


    fclose($handle);

    echo "<pre>";

    foreach ($texto as $a) {



    	$bomba = explode('///', $a);

    	if(sizeof($bomba)>1){ 
    	

 $uf = trim(strip_tags($bomba['4']));
    $cidade = trim(strip_tags($bomba['5']));
    
  	  $telefone = trim(strip_tags($bomba['2']));
    	$slug = slugfyURL(trim($bomba['0']));
    	$empresa = trim(strip_tags($bomba['0']));
    	$endereco = trim(strip_tags($bomba['1']));
    	$bairro = trim(strip_tags($bomba['3']));
    	
        
    
   $slug = $slug;

   $empresa = $empresa;

 
   $endereco = mysql_real_escape_string($endereco, $con);
   $empresa = mysql_real_escape_string($empresa, $con);


   if($autotag=='gotag') { 

    $sqltags = mysql_query("SELECT * FROM tags order BY rand() LIMIT 1");

    $tagg = mysql_fetch_assoc($sqltags);

    $empresa = $empresa.''.$tagg['tag'];
    $slug = $slug.''.$tagg['slug'];

  }


		mysql_query("INSERT INTO empresas SET slug = '$slug',
		id_uf = '$uf',
		id_cidade = '$cidade',
		id_bairro = '$bairro',
		ramo = '2',
		telefone = '$telefone',
		empresa = '$leo $empresa',
		endereco = '$endereco'
		", $con) or die(mysql_error());


    $ide = mysql_insert_id();

    mysql_query("INSERT INTO empresas2 SET 

    id = '$ide',
    slug = '$slug'
    ", $con) or die(mysql_error());



}
    }

} else {
 
} 


if(file_exists('ha.txt')){
  unlink('ha.txt');
}

header("location:multi-estados.php?cad=1");